USE BenchmarkDB
GO

SELECT SUM(Col2) FROM heap_table WHERE col1 % 3 = 1
GROUP BY col3;

SELECT SUM(Col2) FROM clust_table WHERE col1 % 3 = 1
GROUP BY col3;


SET STATISTICS IO ON;
SET STATISTICS TIME ON;


-- run these muliple times and take an average of the logical reads and CPU time
SELECT SUM(Col2) FROM heap_table WHERE col1 % 3 = 1
GROUP BY col3
OPTION (MAXDOP 1);


SELECT SUM(Col2) FROM clust_table WHERE col1 % 3 = 1
GROUP BY col3
OPTION (MAXDOP 1);

/* Max Consumption Rate (MCR) is the average of (logical reads / CPU time in seconds) * 8 / 1024
  (or put another way, the size of the table in MB / CPU time in seconds)
  This gives us the throughput of a core

  To estimate the no. of cores required, use the following formula:
  (Amount of data scanned in an average query / MCR) * Concurrent Sessions / Target response time
  For example:
 (18000 MB/200 MBs) * 10 users / 60s response time = 15 cores (round up to 16)   */