USE master;

IF EXISTS(SELECT * FROM sys.sysdatabases WHERE [name] = 'DemoExtract')
BEGIN
	DROP DATABASE DemoExtract;
END

CREATE DATABASE DemoExtract;
GO

USE DemoExtract;
GO
CREATE SCHEMA src;
GO
CREATE SCHEMA stg;
GO

CREATE TABLE src.MembershipLevels
(MembershipLevelID integer identity,
 MembershipLevelName nvarchar(20));

CREATE TABLE src.Customers
(CustomerID integer identity,
 FirstName varchar(20),
 LastName varchar(20),
 MembershipLevel integer);

DECLARE @l integer = 1;
WHILE @l < 4
BEGIN
	INSERT INTO src.MembershipLevels VALUES ('Level ' + CAST(@l AS nvarchar(1)));
	SET @l = @l + 1;
END

INSERT INTO src.Customers
VALUES ('Jesper Aaberg', 'Bloggs', 1);

INSERT INTO src.Customers
VALUES ('Amy', 'Alberts', 2);

INSERT INTO src.Customers
VALUES ('Ezio', 'Alboni', NULL);

CREATE TABLE stg.DimCustomer
(CustomerAltKey nvarchar(5),
 CustomerName nvarchar(50),
 MembershipLevel nvarchar(20));


