USE master;

-- Create a database for benchmark queries
IF EXISTS (SELECT * FROM sys.sysdatabases WHERE name = 'BenchmarkDB')
DROP DATABASE BenchMarkDB;
GO
CREATE DATABASE BenchMarkDB;
GO
USE BenchMarkDB;

-- Include a heap and a table with a clustered index
CREATE TABLE heap_table
(col1 integer identity,
 col2 integer,
 col3 varchar(50));

 CREATE TABLE clust_table
(col1 integer identity PRIMARY KEY CLUSTERED,
 col2 integer,
 col3 varchar(50));

-- Insert 100 rows to start with
DECLARE @i integer = 0;
WHILE @i < 101
BEGIN
   SET @i = @i + 1
   INSERT INTO heap_table VALUES (@i, CAST(@i%5 AS varchar))
   INSERT INTO clust_table VALUES (@i, CAST(@i%5 AS varchar))
END;

-- Now keep reinserting exponentially until the tables each contain 2 million rows
WHILE (SELECT COUNT(*) FROM clust_table) < 2000000
BEGIN
 INSERT INTO heap_table
 SELECT col2, col3 FROM clust_table;
 INSERT INTO clust_table
 SELECT col2, col3 FROM clust_table;
END;